aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 11:54:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-30 08:23:16 +0000
commit5394b677b2aba9e606587990a68fe2a925a1131d (patch)
tree298437072de36e3a998d116be08f1ea14387d8f8
parentb460901aa236b30dec37348311c1f6edb8329855 (diff)
downloadaports-5394b677b2aba9e606587990a68fe2a925a1131d.tar.bz2
aports-5394b677b2aba9e606587990a68fe2a925a1131d.tar.xz
testing/py-pyramid-perfstat: new aport
A pyramid plugin that provides PerfStat logs and reports statistics http://bitbucket.org/tuck/pyramid_perfstat
-rw-r--r--testing/py-pyramid-perfstat/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-pyramid-perfstat/APKBUILD b/testing/py-pyramid-perfstat/APKBUILD
new file mode 100644
index 0000000000..211c737672
--- /dev/null
+++ b/testing/py-pyramid-perfstat/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-pyramid-perfstat
+_pkgname=pyramid_perfstat
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="A pyramid plugin that provides PerfStat logs and reports statistics"
+url="http://bitbucket.org/tuck/pyramid_perfstat"
+arch="noarch"
+license="BSD"
+depends="python py-pyramid"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="16a61c2297d01890a477e6756b803816 pyramid_perfstat-0.2.1.tar.gz"
+sha256sums="d09652a6342db6d5a15d02c3d434ce915acfe8355bb315a789c52fdcda1a2f4c pyramid_perfstat-0.2.1.tar.gz"
+sha512sums="d2520e3a6468f25939ea131535e5202d09b841373cafa806ff69a1ec209f48a25299f086b4ee53a309116f37f6bcea95f3edbce82244a7526a2d190187e87d4a pyramid_perfstat-0.2.1.tar.gz"